aboutsummaryrefslogtreecommitdiff
path: root/aptmeta/enmeta
diff options
context:
space:
mode:
Diffstat (limited to 'aptmeta/enmeta')
-rwxr-xr-xaptmeta/enmeta36
1 files changed, 36 insertions, 0 deletions
diff --git a/aptmeta/enmeta b/aptmeta/enmeta
new file mode 100755
index 0000000..14fdfdb
--- /dev/null
+++ b/aptmeta/enmeta
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+PKG=$1
+
+if [ -z $PKG ]; then
+ echo "Specify package" >&2
+ exit 1
+fi
+
+WDIR=$(mktemp --tmpdir -d demeta.XXXXXXXXXX)
+pushd $WDIR >/dev/null
+
+FILE=$(apt-get download $PKG --print-uris | cut -d\ -f2)
+apt-get -qq download $PKG
+
+CNTRL=$(ar p $FILE control.tar.xz | unxz | tar -x ./control)
+DEPS=$(cat control | grep ^Depends | cut -d: -f2 | tr -d ,)
+
+echo Will install:
+echo $PKG
+echo
+echo Will set as automatically installed:
+echo $DEPS
+
+echo
+echo -n 'Type y to continue: '
+read LINE
+if [ "z$LINE" == "zy" ]; then
+ sudo apt-get install $PKG
+ sudo apt-mark auto $DEPS
+else
+ echo Abandoned.
+fi
+
+popd >/dev/null
+rm -rf $WDIR